// src/index.ts
import { transform } from "babel-core";
import minify from "babel-preset-minify";
import { utils } from "@node-minify/utils";
var minifyBabel = ({ settings, content, callback, index }) => {
  let babelOptions = {
    presets: []
  };
  if (settings && settings.options && settings.options.babelrc) {
    babelOptions = JSON.parse(utils.readFile(settings.options.babelrc));
  }
  if (settings && settings.options && settings.options.presets) {
    const babelrcPresets = babelOptions.presets || [];
    babelOptions.presets = babelrcPresets.concat(settings.options.presets);
  }
  if (babelOptions.presets.indexOf("minify") === -1) {
    babelOptions.presets = babelOptions.presets.concat([minify]);
  }
  const contentMinified = transform(content || "", babelOptions);
  if (settings && !settings.content) {
    utils.writeFile({ file: settings.output, content: contentMinified.code, index });
  }
  if (callback) {
    return callback(null, contentMinified.code);
  }
  return contentMinified.code;
};
var src_default = minifyBabel;
export {
  src_default as default
};
/*!
 * node-minify
 * Copyright(c) 2011-2022 Rodolphe Stoclin
 * MIT Licensed
 */
//# sourceMappingURL=index.mjs.map